Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.report
Class UnmergeReportRow

    java.lang.Object
      com.sun.mdm.index.report.ReportRow
          com.sun.mdm.index.report.MultirowReportObject1
              com.sun.mdm.index.report.MultirowReportObject2
                  com.sun.mdm.index.report.UnmergeReportRow

All Implemented Interfaces:
  java.io.Serializable

public class UnmergeReportRow
extends MultirowReportObject2

Row of data for Unmerge Report

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.mdm.index.report.MultirowReportObject1
`mConfig, mObjectNode`

Constructor Summary
`UnmergeReportRow(TransactionSummary summary, UnmergeReportConfig config)` Creates a new instance of UnmergeReportRow

Method Summary
`java.lang.String` | `getEUID1()` Get EUID1.
`java.lang.String` | `getEUID2()` Get EUID2.
`java.lang.String` | `getSystemUser()` Get system user.
`java.util.Date` | `getTimestamp()` Get timestamp.
`java.lang.String` | `getTransactionNumber()` Get transaction number.

Methods inherited from class com.sun.mdm.index.report.MultirowReportObject2
`getObject2, getObjects, setObjects`

Methods inherited from class com.sun.mdm.index.report.MultirowReportObject1
`constructObjectNode, getObject1, getValue, setObject1, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnmergeReportRow

    public UnmergeReportRow(TransactionSummary summary,
                            UnmergeReportConfig config)
                     throws ObjectException,
                            EPathException

  Creates a new instance of UnmergeReportRow

  Parameters:
    `summary` - Transaction summary.
    `config` - Unmerge report configuration.
  Throws:
    `EPathException` - if EPath errors are encountered.
    `ObjectException` - if any other types of errors are encountered.

Method Detail

### getEUID1

    public java.lang.String getEUID1()
                              throws ObjectException

  Get EUID1.

  Returns:
    EUID1.
  Throws:
    `ObjectException` - if an error occured.

### getEUID2

    public java.lang.String getEUID2()
                              throws ObjectException

  Get EUID2.

  Returns:
    EUID2.
  Throws:
    `ObjectException` - if an error occured.

### getSystemUser

    public java.lang.String getSystemUser()
                                   throws ObjectException

  Get system user.

  Returns:
    system user.
  Throws:
    `ObjectException` - if an error occured.

### getTimestamp

    public java.util.Date getTimestamp()
                                throws ObjectException

  Get timestamp.

  Returns:
    create date.
  Throws:
    `ObjectException` - if an error occured.

### getTransactionNumber

    public java.lang.String getTransactionNumber()
                                          throws ObjectException

  Get transaction number.

  Returns:
    transaction number.
  Throws:
    `ObjectException` - if an error occured.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.